#!/bin/bash

yum groupinstall alt-php
yum reinstall cagefs lvemanager lve-stats lve-utils

/bin/mv -f /etc/cl.selector/php.conf /etc/cl.selector/php.conf.backup
cp -f /opt/cpinst/config/php_conf /etc/cl.selector/php.conf
cp -f /opt/cpinst/cpinst/config/php_conf /etc/cl.selector/php.conf
sed -i 's/^expose_php.*.=.*/expose_php = Off/g' /opt/alt/php*/etc/php.ini
sed -i 's/^log_errors.*.=.*/log_errors = Off/g' /opt/alt/php*/etc/php.ini
sed -i 's/^enable_dl.*.=.*/enable_dl = Off/g' /opt/alt/php*/etc/php.ini
sed -i 's/^disable_functions.*.=.*/disable_functions = symlink,show_source, system, exec, shell_exec, passthru, popen, proc_open, proc_close, proc_get_status, proc_nice, proc_terminate, escapeshellarg, escapeshellcmd, ini_alter, define_syslog_variables,posix_uname,posix_getpwuid,posix_getpwnam, apache_child_terminate,posix_kill,posix_mkfifo,posix_setpgid,posix_setsid,posix_setuid,proc_terminate, posix_uname, diskfreespace, leak,base64_encodem,eval, apache_child_terminate, apache_setenv/g' /opt/alt/php*/etc/php.ini
sed -i 's/date\.timezone.*.=.*/date\.timezone="Asia\/Taipei"/g' /opt/alt/php*/etc/php.ini
sed -i 's/^;memory_limit.*.=.*/memory_limit = 128M/g' /opt/alt/php*/etc/php.ini
sed -i 's/^upload_max_filesize.*/upload_max_filesize = 32M/g' /opt/alt/php*/etc/php.ini
cagefsctl --remount-all
cagefsctl --force-update

cat /etc/pam.d/sshd|grep "pam_lve.so"
echo '看一下跟下面是不是一樣'
echo 'session      required      pam_lve.so      500      1 users'
